Package org.apache.lucene.util

# Interface IOFunction<T,R>

Type Parameters:
  `T` - the type of the input to the function
  `R` - the type of the result of the function

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IOFunction<T,R>
A Function that may throw an IOException

See Also:
  - `Function`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `R`
  `apply(T t)`
  Applies this function to the given argument.

- ## Method Details

  - ### apply

    R apply(T t) throws IOException
    Applies this function to the given argument.
    Parameters:
      `t` - the function argument
    Returns:
      the function result
    Throws:
      `IOException` - if producing the result throws an `IOException`